Bug 192868 - multiple issues with nVidia MCP51 HDA sound card on Gigabyte GA-K8N51GMF-9 mainboard
multiple issues with nVidia MCP51 HDA sound card on Gigabyte GA-K8N51GMF-9 ma...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
https://bugtrack.alsa-project.org/als...
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 14:15 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2010-06-28 06:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
amixer output (3.07 KB, text/plain)
2006-05-23 14:15 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
lspci -n output (888 bytes, text/plain)
2006-11-06 20:41 EST, Dominik 'Rathann' Mierzejewski
no flags Details
System Config Soundcard Log (59.54 KB, text/plain)
2007-07-27 00:28 EDT, Sopho M
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
ALSA Project 2145 None None None Never

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-05-23 14:15:27 EDT
Description of problem:
* quiet sound: even if all volumes are set to 100%, the sound is unusually
quiet; my stereo speakers are connected to Front output
* there is no master channel and no PCM channel in alsamixer
* there is a channel mode switch, but the only available option is 8ch while I
know that this card supports 2, 4, 6, and 8ch modes

Note: Missing PCM channel is fixed in alsa-1.0.11 final. I've filed a bugreport
with ALSA: bug number 2145 (see URL).

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2122_FC5

How reproducible:
Always

Steps to Reproduce:
1. run alsamixer
2.
3.
  
Additional info:
$ lspci -v
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
        Subsystem: Giga-byte Technology Unknown device a102
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
        Memory at e5100000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping
$ lspci -vn
00:10.1 0403: 10de:026c (rev a2)
        Subsystem: 1458:a102
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
        Memory at e5100000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping
$ cat /proc/asound/cards
 0 [NVidia         ]: HDA-Intel - HDA NVidia
                      HDA NVidia at 0xe5100000 irq 17
$ lsmod | grep snd
snd_hda_intel          52185  2
snd_hda_codec         175169  1 snd_hda_intel
snd_seq_dummy          37061  0
snd_seq_oss            66241  0
snd_seq_midi_event     41025  1 snd_seq_oss
snd_seq                89825  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         42833  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            85457  0
snd_mixer_oss          50881  1 snd_pcm_oss
snd_pcm               126409  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer              59465  2 snd_seq,snd_pcm
snd                    97129  13
snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              44129  1 snd
snd_page_alloc         44497  2 snd_hda_intel,snd_pcm
Comment 1 Dominik 'Rathann' Mierzejewski 2006-05-23 14:15:27 EDT
Created attachment 129877 [details]
amixer output
Comment 2 Dominik 'Rathann' Mierzejewski 2006-07-26 08:41:05 EDT
Update:
With latest kernel (2.6.17-1.2157_FC5) the PCM channel appears, but changing its
volume doesn't have any effect. Other problems are still there.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-09-14 17:07:29 EDT
Update:
No change with latest kernel (kernel-2.6.17-1.2174_FC5).
Comment 4 Trond Danielsen 2006-10-04 15:06:47 EDT
I can confirm that this is still a problem with kernel 2.6.17-1.2187_FC5 (x86_64). 
Comment 5 Dave Jones 2006-10-16 13:55:28 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dominik 'Rathann' Mierzejewski 2006-10-18 13:00:17 EDT
Still no change compared to comment #2.

Comment 7 John W. Linville 2006-11-06 08:08:52 EST
This sounds like the typical "creative sound hardware wiring" problem faced by 
countless boxes...

Please attach the output of 'lspci -n'.  We may need more info later... :-)
Comment 8 Dominik 'Rathann' Mierzejewski 2006-11-06 20:41:05 EST
Created attachment 140529 [details]
lspci -n output

Attached.
Comment 9 Dominik 'Rathann' Mierzejewski 2006-11-06 20:44:47 EST
One more bit of information, which I discovered only recently:
It appears that if I use ALSA device "surround40", the PCM channel control
suddenly starts working.
I got it to work in bmp/audacious and mplayer.
Oh, and FC6 kernel and alsa suffer from the same problem (I've just upgraded).
Comment 10 Dominik 'Rathann' Mierzejewski 2007-01-28 09:39:52 EST
With kernel-2.6.19-1.2895.fc6 and updated alsa 1.0.14rc1 the PCM channel is gone
again.
Comment 11 Sopho M 2007-07-27 00:28:47 EDT
Created attachment 160094 [details]
 System Config Soundcard Log

This is a me too comment. I've attached the automatically generated log file
from F7s soundcard detection
Comment 12 Anil Seth 2007-10-08 11:58:04 EDT
I have the same Nvidia sound card on an ASUS M2N-MX board. The sound card was
working with the additional settings
options snd-hda-intel position_fix=1 model=3stack

Recently it stopped working after recent upgrades to alsa-lib. The sound could
be heard from only one channel and if any change is made in mixer settings, the
sound card falls silent.

Downgrading the alsa-lib to alsa-lib-1.0.14-0.4.rc3.fc7 has restored the status.
Comment 13 Bug Zapper 2008-04-03 22:57:25 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Dominik 'Rathann' Mierzejewski 2008-04-04 14:13:24 EDT
Yes, these issues:
* PCM channel being inoperative
* low volume
* no ability to switch to 2ch mode
* there's no "Boost Mic signal" option (hence recording is rendered useless)
are still reproducible with latest F-7 updates:

$ rpm -q kernel alsa-lib
kernel-2.6.23.15-80.fc7.x86_64
alsa-lib-1.0.14-3.fc7.x86_64
Comment 16 Bug Zapper 2008-05-14 08:01:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Dominik 'Rathann' Mierzejewski 2008-06-02 17:24:27 EDT
Still present in F-8.

$ rpm -q kernel alsa-lib
kernel-2.6.24.7-92.fc8
alsa-lib-1.0.15-1.fc8
Comment 18 Martin Stransky 2008-06-03 04:02:45 EDT
Try F-9, there's ALSA 1.0.16 there.
Comment 19 Dominik 'Rathann' Mierzejewski 2008-09-13 15:35:30 EDT
Upgraded to F-9, these issues are still present:
* PCM channel being inoperative unless >2 speakers are connected
* low volume
* no ability to switch to 2ch mode
* there's no "Boost Mic signal" option (hence recording is rendered useless)

One more issue, and this one is a real joy-killer. It seems that somehow, a high-pass filter gets activated by default and the basses are cut off. I only noticed that after buying a subwoofer for my stereo set.

However, if I set the model to auto, i.e.
modprobe snd-hda-intel model=auto
I get another on/off switch in the mixer, called "Headphone", which seems to switch between a low-pass and high-pass filtering. I.e., I can get either higher or lower frequencies cut-off, but I can't disable the cut-off at all.

Moreover, I was playing with using other model settings, and it appears that the asus* models set the card properly in this regard, and I get both high and low frequencies without any filtering. Sadly, it works only in 2ch mode. Any speakers connected to higher ports (back, LFE+Center or side) remain silent.

I tried different models and I seem to get good bass and treble with model=asus-dig, but then I don't get more than 2 output channels.

$ rpm -q kernel alsa-lib
kernel-2.6.26.3-29.fc9.x86_64
alsa-lib-1.0.17-2.fc9.x86_64
Comment 21 Bug Zapper 2009-06-09 18:10:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-07-14 13:13:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Dominik 'Rathann' Mierzejewski 2009-10-29 20:28:03 EDT
On F-11 the same problem still persists, but now there's no "Headphone" control and I always get the high-pass filter enabled (=no bass).

kernel-2.6.30.9-90.fc11.x86_64
alsa-lib-1.0.21-3.fc11.x86_64
Comment 24 Clinton Work 2010-01-23 18:33:41 EST
My MCP51 (ALC880) sound was working until one of the last kernel updates in F10.  I just upgraded to F12 and the max headphone volume is really low. I tried every setting under preferences sound with no increased volume.  

lspci -v
Definition Audio (rev a2)
        Subsystem: Micro-Star International Co., Ltd. K8NGM2 series
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
        Memory at fead0000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

I have a MSI K8NGM2 motherboard with the integrated ALC880 sound chip.
Comment 25 Bug Zapper 2010-04-27 07:39:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2010-06-28 06:22:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.